<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
$ttl="Работа с фото";
include('start.php');
include("config.php");
include("./includes/".$ver."/banned");
$nocache = rand(10000, 99999);
list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

$banner = file("system/banner.dat");
$ssylka = trim($banner[0]);
$img = trim($banner[1]);
$kabinet = trim($banner[4]);

header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-revalidate");
//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT `id` FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");
if(mysql_num_rows($q) == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
include('banners/kabinet');
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH
//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">'.$ttl.'</div>';




 /////////////////////////////////////////////////////////////////////////////////////////////////
 if ($_GET['act']=="upload")
 {

   if(!trim(empty($_POST['descr'])))
   {
      if(!empty($_FILES['filename']['tmp_name']))
      {
         if(substr($_FILES['filename']['type'],0,5) == 'image')
         {

            $anti_povtor = rand(0,9999999999); // защита от повторения названия баннера



                             preg_match('/\.(.*?)$/', $_FILES['filename']['name'], $res);
                             $file_ext = $res[1];


            if (!file_exists("foto/".$anti_povtor.".".$file_ext.""))
    	    {

                        $uploadedfile = $_FILES['filename']['name'];
                        $uploaded = $_FILES['filename']['tmp_name'];
                        $uploadedfile_type = $_FILES['filename']['type'];
                        $fsize = $_FILES['filename']['size'];
                        $string = "".$uploadedfile."";
                        $type = explode(".", $string); // проверка истенного формата с учётом что он прошол проверку на image




               $mzfk=mysql_fetch_array(mysql_query("select * from `chat_users` where `id`='".$_SESSION['id']."';"));

               mysql_query("select * from `chat_foto` where `iduser`='".$_SESSION['id']."';");
     	       if (mysql_affected_rows()<=$mzfk['foto']-1)
               {


                 if ($fsize<634880) // максимальный размер равен 526кб
                 {
                      $prov=getimagesize("".$uploaded."");

                   	  if ($prov[1]<1600 && $prov[0]<1200) // максимальное разрешение фото
	                  {



                             $descr= htmlspecialchars(stripslashes($_POST['descr']));







                            if(copy($_FILES['filename']['tmp_name'], "foto/".$anti_povtor.".".strtolower($file_ext).""))
                            {


      	                          if (mysql_query("INSERT INTO `chat_foto` (`id` ,`iduser` ,`type` ,`descr` ,`foto` , `golos` ,`time` )VALUES ('', '".$_SESSION['id']."', '1', '".$descr."', '".$anti_povtor.".".strtolower(mysql_escape_string($file_ext))."', '0', '".time()."');"))
        	                      {
      	                          echo "Описание созданно.<br/>";
      	                          }


                                        $dir="foto";
                                        $dirs="".$anti_povtor.".".$file_ext."";

                                        $type = explode(".", $dirs);

                                        if ($type[count($type) - 1]=='jpg')
                                        {
                                        $modelx = 'jpg';
                                        }
                                        elseif ($type[count($type) - 1]=='jpeg')
                                        {
                                        $modelx = 'jpg';
                                        }
                                        elseif ($type[count($type) - 1]=='gif')
                                        {
                                        $modelx = 'gif';
                                        }
                                        elseif ($type[count($type) - 1]=='png')
                                        {
                                        $modelx = 'png';
                                        }


                                        echo "Фото успешно загруженно.<br/><a href='foto/".$dirs."'><img src=\"prew.php?act=".$modelx."&amp;img=".base64_encode("$dir/$dirs")."&amp;w=128&amp;h=128\" alt=\"scr...\"/></a><br />";


                            }
                            else
                            {
                            echo "<font color=\"#FF0000\"><b>Неудалось скопировать фото на хост (системная ошибка)</b></font><br/>";
                            }


                      }
                      else
                      {
                      echo "<font color=\"#FF0000\"><b>Разрешение файла не подходит по параметрам! (разрененно до 1600х1200)</b></font><br/>";
                      }



                 }
                 else
                 {
                 echo "<font color=\"#FF0000\"><b>Файл слишком велик</b></font><br/>";
                 }

               }
               else
               {
               echo "<font color=\"#FF0000\"><b>Ваш лимит загрузки фото исчерпан! Удалите старые фото, либо обратитесь к модератору с прозьбой увеличения лимита!</b></font><br/>";
               }



            }
            else
            {
            echo "<font color=\"#FF0000\"><b>Файл с таким именем уже существует в базе загрузок. Попробуйте ещё раз.</b></font><br/>";
            }



         }
         else
         {
         echo "<font color=\"#FF0000\"><b>Разрешена загрузка только изображений</b></font><br/>";
         }


      }
      else
      {
      echo "<font color=\"#FF0000\"><b>Не выбранн файл!</b></font><br/>";
      }

   }
   else
   {
   echo "<font color=\"#FF0000\"><b>Не заполенно описание!</b></font><br/>";
   }

 }
 /////////////////////////////////////////////////////////////////////////////////////////////////
 if ($_GET['act']=="all")
 {

  	$mss=mysql_query("select * from `chat_foto` where `iduser`='".$_SESSION['id']."';");
	$i="1";
	while($rede=mysql_fetch_array($mss))
	{
	echo "<div class=\"d1\">";

     $dir='foto';
     $dirs=$rede['foto'];

      $type = explode(".", $dirs);

                                         if ($type[count($type) - 1]=='jpg')
                                        {
                                        $modelx = 'jpg';
                                        }
                                        elseif ($type[count($type) - 1]=='jpeg')
                                        {
                                        $modelx = 'jpg';
                                        }
                                        elseif ($type[count($type) - 1]=='gif')
                                        {
                                        $modelx = 'gif';
                                        }
                                        elseif ($type[count($type) - 1]=='png')
                                        {
                                        $modelx = 'png';
                                        }
    echo "<a href='foto/".$rede['foto']."'><img src=\"prew.php?act=".$modelx."&amp;img=".base64_encode("$dir/$dirs")."&amp;w=64&amp;h=64\" alt=\"scr...\"/></a><br />";
	echo "".$i.". ".date("d-m-Y (H:i)",$rede['time'])."<br/>";

     $qf = mysql_query("SELECT COUNT(`id`) FROM `chat_com` where `idfoto`='".$rede['id']."' ;");
     $alls = mysql_result($qf, 0);
     $result=mysql_query("SELECT sum(`ocenka`) FROM `chat_com` where `idfoto`='".$rede['id']."'");
     $row = mysql_fetch_array($result);
     $in_count = (int)$row[0];;


     $rat = $in_count / $alls;
     $rat = round($rat, 2);


    echo "Средний бал фото - ".$rat."<br/>";
    echo "<a href='com.php?".SID."&amp;ver=html&amp;id=".$rede['id']."'>Комментарии</a>(".$alls.")<br/>";
	echo "[<a href='foto.php?".SID."&amp;ver=html&amp;act=edit&amp;id=".$rede['id']."'>ред. опис.</a>] [<a href='foto.php?".SID."&amp;ver=html&amp;act=del&amp;id=".$rede['id']."'>удал. фото</a>]<br/> ".$rede['descr']."";
	echo "</div>";
	$i++;
	}

 }
 ///////////////////////////////////////////////////////////////////////////////////////////
 if ($_GET['act']=="add")
 {

   $mzfk=mysql_fetch_array(mysql_query("select * from `chat_users` where `id`='".intval($_SESSION['id'])."';"));

   mysql_query("select * from `chat_foto` where `iduser`='".intval($_SESSION['id'])."';");
   if (mysql_affected_rows()<=$mzfk['foto']-1)
   {
    echo "Загружаемая картинка обязательно должна быть в формате gif или jpg, разрешением не более 1600х1200 пикселей и размером не более 256кб.<br/>";
    echo "Максимум можно загружать ".($mzfk['foto'])." фотографий, если лимит исчерпан, то просите администратора повысить Вам количество загрузаемых картинок.<br/>";
    echo "<form enctype=\"multipart/form-data\" action=\"foto.php?".SID."&amp;ver=html&amp;act=upload\" method=\"post\">";
    echo "Выберите файл:<br/>";
    echo "<input name=\"filename\" class='do_button' type=\"file\" size=\"20\"/>";
    echo "<input type=\"hidden\" name=\"id_session\" value=\"".session_id()."\"/><br/>";
    echo "<a href=\"op:fileselect\">Для Opera-mini</a><br/>";
    echo "Описание:<br/><textarea name='descr' class='do_button'></textarea>";
    echo "<br/><input type=\"submit\" name=\"go\" class=\"button\" value=\"Добавить\"/></form><br/>";

   }
   else
   {
   echo "Лимит фото исчерпан, удалите страные фото чтоб загрузить новые, либо обратитесь к модератору за увеличением лимита!<br/>";
   }



 }
 ////////////////////////////////////////////////////////////////////////////////////////////
  if ($_GET['act']=="")
  {
  echo "[<a href=\"foto.php?".SID."&amp;ver=html&amp;act=all\">Посмотреть своии фото</a>]<br/>\n";
  echo "[<a href=\"foto.php?".SID."&amp;ver=html&amp;act=add\">Добавить фото</a>]<br/>\n";
  }
 ///////////////////////////////////////////////////////////////////////////////////////////
  if ($_GET['act']=="del")
  {
	    $mss=mysql_fetch_array(mysql_query("select * from `chat_foto` where `iduser`='".intval($_SESSION['id'])."' && `id`='".intval(mysql_escape_string($_GET['id']))."';"));

		if(unlink("foto/".$mss['foto'].""))
		{
			    echo "Фото удаленно.<br/>";

			    if (mysql_query("DELETE FROM `chat_foto` WHERE `id` = ".intval(mysql_escape_string($_GET['id']))." LIMIT 1;"))
				{
				echo "Описание к данному фото так же удаленно.<br/>";
				}
                else
                {
				echo "Не удаленно описание!<br/>";
                }


		}
        else
        {
		echo "Фото не удаленно! [Ошибка системы]<br/>";
        }


  }
  ///////////////////////////////////////////////////////////////////////////////////////////
  if ($_GET['act']=="edit")
  {
  $mss=mysql_fetch_array(mysql_query("select * from `chat_foto` where `iduser`='".intval($_SESSION['id'])."' && `id`='".intval(mysql_escape_string($_GET['id']))."';"));
  echo "<form action='foto.php?".SID."&amp;ver=html&amp;act=editgo&amp;id=".$mss['id']."' method='post'>";
  echo "<textarea name='descr'>".$mss['descr']."</textarea><br/>";
  echo "<input type='submit' value='Изменить' /></form>";
  }
  ///////////////////////////////////////////////////////////////////////////////////////////
  if ($_GET['act']=="editgo")
  {

		$descr=htmlspecialchars(stripslashes(mysql_escape_string($_POST['descr'])));
		if (!empty($descr))
		{
		    if(mysql_query("update `chat_foto`  set `descr`='".$descr."' where `id`='".intval(mysql_escape_string($_GET['id']))."';"))
			{
			echo "Описание изменено!<br/>";
			}
            else
            {
            print "Не измененно [Системная ошибка]<br/>";
            }

		}
        else
        {
        print "Поле с описанием не заполненно!<br/>";
        }

  }
  ///////////////////////////////////////////////////////////////////////////////////////////
  echo "<div class=\"d1\">";
  if ($_GET['act']=="")
  {
  }
  else
  {
  echo " • <a href=\"foto.php?".SID."&amp;ver=html\">Меню фото</a><br/>\n";
  }
 ///////////////////////////////////////////////////////////////////////////////////////////

echo "• <a href=\"/kabinet/html\">Личный кабинет</a><br/>\n";
echo "• <a href=\"/menu/html\">В прихожую</a><br/>\n";
include('banners/kabinet');
echo'</div>';
echo'<div class="d3">';
echo"$sitefoot";
echo'</div>';
echo "</body></html>";
?>